.header {
  padding: .75rem .5rem;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: white;
  border-radius: 1px solid;
  z-index: 999;
  box-shadow: 0 3px 5px -1px rgba(0,0,0,.1),
    0 6px 10px 0 rgba(0,0,0,.07),
    0 1px 18px 0 rgba(0,0,0,.06);

    @media screen and (min-width: 576px) {
      padding: .75rem 1rem;
    }

  &__wrapper {
    position: relative;

    & > img{
      height: 1.5rem;
      width: auto;
      margin-left: auto;
      margin-right: auto;
      display: block;
      box-sizing: content-box;
      padding-bottom: .25rem;

      @media screen and (min-width: 576px) {
        height: 2rem;
      }
    }

    & > .btn-primary {
      position: absolute;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
    }
  }

  .b-sidebar.bg-primary {
    background-color: $blue-conexa !important;
  }

  &__sidenav {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;

    &--user {
      flex: 0 0 auto;
      display: flex;
      align-items: center;
      padding: .5rem;
      border-bottom: 1px solid rgba($color: white, $alpha: .3);

      .b-avatar {
        flex: 0 0 auto;
        margin-right: .75rem;
      }

      .username {
        width: 100%;
        line-height: 1.25rem;
        margin: 0;
        font-size: .875rem;
        -webkit-line-clamp: 2;
        display: -webkit-box;
        -webkit-box-orient: vertical;  
        overflow: hidden;
      }
    }

    &--nav {
      flex: 1 1 100%;
      display: flex;
      flex-direction: column;
    }

    &--item {
      width: 100%;
      margin-top: .5rem;

      a, button {
        border: none;
        color: white;
        background-color: transparent;
        display: flex;
        align-items: center;
        width: 100%;
        text-align: left;
        padding: 1rem;
        text-decoration: none;
        transition: all 0.2s;

        span {
          font-size: .875rem;
          line-height: 1.5rem;
          display: inline-block;
        }

        svg {
          margin-right: 1rem;
          width: 1.25rem;
          height: 1.25rem;
        }

        &.router-link-exact-active {
          background-color: $blue-conexa-hover;
        }

        &:hover:not(.router-link-exact-active) {
          background-color: rgba($color: white, $alpha: .2);
        }
      }

      &.logout {
        margin-top: auto;
        border-top: 1px solid rgba($color: white, $alpha: .3);

        button {
          &:hover {
            background-color: $red-conexa;
          }
        }
      }
    }
  }
}